package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PelayananPasienNakesVO extends BaseTransactionVO {

	@Caption(value = "Nomor Registrasi")
	private AntrianPasienDiPeriksaVO antrianPasienDiperiksa;

	private String antrianPasienDiperiksaId;

	@Caption(value = "Produk Nakes")
	private ProdukNakesVO produk;

	private Integer produkId;

	@Caption(value = "Tanggal Pelayanan")
	private Date tglPelayanan;

	@Caption(value = "Nilai Skor")
	private Double skor;

	@Caption(value = "Jumlah")
	private Double jumlah;

	@Caption(value = "Pegawai")
	private PegawaiVO pegawai;

	private Integer pegawaiId;

	public AntrianPasienDiPeriksaVO getAntrianPasienDiperiksa() {
		return antrianPasienDiperiksa;
	}

	public void setAntrianPasienDiperiksa(AntrianPasienDiPeriksaVO antrianPasienDiperiksa) {
		this.antrianPasienDiperiksa = antrianPasienDiperiksa;
	}

	public String getAntrianPasienDiperiksaId() {
		return antrianPasienDiperiksaId;
	}

	public void setAntrianPasienDiperiksaId(String antrianPasienDiperiksaId) {
		this.antrianPasienDiperiksaId = antrianPasienDiperiksaId;
	}

	public ProdukNakesVO getProduk() {
		return produk;
	}

	public void setProduk(ProdukNakesVO produk) {
		this.produk = produk;
	}

	public Integer getProdukId() {
		return produkId;
	}

	public void setProdukId(Integer produkId) {
		this.produkId = produkId;
	}

	public Date getTglPelayanan() {
		return tglPelayanan;
	}

	public void setTglPelayanan(Date tglPelayanan) {
		this.tglPelayanan = tglPelayanan;
	}

	public Double getSkor() {
		return skor;
	}

	public void setSkor(Double skor) {
		this.skor = skor;
	}

	public Double getJumlah() {
		return jumlah;
	}

	public void setJumlah(Double jumlah) {
		this.jumlah = jumlah;
	}

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

}
